
From: Domen Puncer <domen@coderock.org>

The problem in pcnet32 is, that it doesn't unregister pci, if there's no
hardware.

This patch solves the problem.



 drivers/net/pcnet32.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/net/pcnet32.c~pcnet32-unregister_pci-fix drivers/net/pcnet32.c
--- 25/drivers/net/pcnet32.c~pcnet32-unregister_pci-fix	2003-08-24 12:51:56.000000000 -0700
+++ 25-akpm/drivers/net/pcnet32.c	2003-08-24 12:53:14.000000000 -0700
@@ -1765,6 +1765,8 @@ static void __exit pcnet32_cleanup_modul
 	free_netdev(pcnet32_dev);
 	pcnet32_dev = next_dev;
     }
+
+    pci_unregister_driver(&pcnet32_driver);
 }
 
 module_init(pcnet32_init_module);

_
